Subject: RtgDir Early review: draft-ding-rtgwg-arp-yang-model-02

From: Mach Chen <[email-masked]>
Date: Wed, 1 Aug 2018 08:48:43 +0000

Hello 

I have been selected to do a routing directorate “early” review of this draft. 
​ https://tools.ietf.org/html/draft-ding-rtgwg-arp-yang-model-02 

The routing directorate will, on request from the working group chair, perform an “early” review of a draft before it is submitted for publication to the IESG. The early review can be performed at any time during the draft’s lifetime as a working group document. The purpose of the early review depends on the stage that the document has reached. As this document is in working group last call, my focus for the review was to determine whether the document is ready to be published. Please consider my comments along with the other working group last call comments. 

For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir 

Document: draft-ding-rtgwg-arp-yang-model-02 
 Reviewer: Mach Chen 
 Review Date: 01 August 2018 
 Intended Status: Standards Track 

Summary 

The draft  defines a YANG model for ARP configurations, which covers static ARP, ARP caching, proxy ARP and gratuitous ARP. The model is very short and the content is straightforward. It can be a reasonable start point for WG adoption call. 

General comments:

Although I am not a native English speaker, I also feel that the document needs some enhancements on its wording and grammar to make it more clean and readable. 

For example,  the following text needs some rewording or may be removed. 
Abstract:
"The data model performs as
   a guideline for configuring ARP capabilities on a system.  It is
   intended this model be used by service providers who manipulate
   devices from different vendors in a standard way."

Specific comments:

1. It's lack of the IANA section.

2. Section 3.1 and Section 3.3,  suggest to add relevant references to ARP caching and gratuitous ARP.

3.  import ietf-interfaces {
    prefix if;
    description
      "A Network Management Datastore Architecture (NMDA)
       compatible version of the ietf-interfaces module
       is required.";
  }
  import ietf-ip {
    prefix ip;
    description
      "A Network Management Datastore Architecture (NMDA)
       compatible version of the ietf-ip module is
       required.";
  }

Lack of the reference RFCs. 
And the descriptions seem not appropriate, some of other descriptions in this document have the similar issue, suggest to revise those descriptions. 

In addition, idnits tool shows:

== Missing Reference: 'RFC826' is mentioned on line 77, but not defined

  == Missing Reference: 'RFC6536' is mentioned on line 583, but not defined

  ** Obsolete undefined reference: RFC 6536 (Obsoleted by RFC 8341)

  == Unused Reference: 'I-D.ietf-netmod-rfc7223bis' is defined on line 606,
     but no explicit reference was found in the text

  == Unused Reference: 'RFC0826' is defined on line 636, but no explicit
     reference was found in the text

Best regards,
Mach

---

From: Robert Wilton <[email-masked]>
Date: Wed, 1 Aug 2018 16:37:16 +0100

Hi Mach,

Thanks for the comments, we will address all of these.

Specifically for the abstract, I propose changing the text to:

"

    This document defines a YANG data model for the management of the
    Address Resolution Protocol (ARP).  It extends the basic ARP
    functionality contained in the ietf-ip YANG data model, defined in
    [RFC8344], to provide management of optional ARP features and
    statistics.

    The YANG data model in this document conforms to the Network
    Management Datastore Architecture defined in [RFC8342].

"

Thanks,
Rob

---

From: Jeff Tantsura <[email-masked]>
Date: Wed, 01 Aug 2018 11:19:58 -0700

Mach,

Many thanks for your review!
Authors - please make sure to address Mach' and Tom' comments. 
Rob - I'd specifically expect you to improve the readability of the draft (and fix the language).

Thanks! 

Cheers,
Jeff

On 8/1/18, 01:48, "Mach Chen" <[email-masked]> wrote:

    Hello 

    

    Summary 

    General comments:

    
    Specific comments:

    

    

    

    Best regards,
    Mach

---

From: Mach Chen <[email-masked]>
Date: Thu, 2 Aug 2018 01:58:52 +0000

Hi Rob,

Looks good to me!

Best regards,
Mach

From: Robert Wilton [mailto:[email-masked]]
Sent: Wednesday, August 01, 2018 11:37 PM
To: Mach Chen <[email-masked]>; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: RtgDir Early review: draft-ding-rtgwg-arp-yang-model-02

Hi Mach,

"

   statistics.

"
Thanks,
Rob

Hello

 Reviewer: Mach Chen

Summary

General comments:

Abstract:

Specific comments:

    prefix if;

    description

       is required.";

  }

  import ietf-ip {

    prefix ip;

    description

       required.";

  }

Best regards,

Mach

---

From: tom petch <[email-masked]>
Date: Thu, 2 Aug 2018 10:46:38 +0000

----- Original Message -----
From: "Mach Chen" <[email-masked]>
Sent: Thursday, August 02, 2018 2:58 AM

> Looks good to me!

Well it would if we were allowed to have [References] in the Abstract
which we are not allowed to have:-)

Tom Petch

> To: Mach Chen <[email-masked]>;
[email-masked]; [email-masked]
> The routing directorate will, on request from the working group chair,
perform an “early” review of a draft before it is submitted for
publication to the IESG. The early review can be performed at any time
during the draft’s lifetime as a working group document. The purpose of
the early review depends on the stage that the document has reached. As
this document is in working group last call, my focus for the review was
to determine whether the document is ready to be published. Please
consider my comments along with the other working group last call
comments.
>
>
>
> For more information about the Routing Directorate, please see
http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
> The draft  defines a YANG model for ARP configurations, which covers
static ARP, ARP caching, proxy ARP and gratuitous ARP. The model is very
short and the content is straightforward. It can be a reasonable start
point for WG adoption call.
>
>
>
> General comments:
>
>
>
> Although I am not a native English speaker, I also feel that the
document needs some enhancements on its wording and grammar to make it
more clean and readable.
> And the descriptions seem not appropriate, some of other descriptions
in this document have the similar issue, suggest to revise those
descriptions.
>      reference was found in the text

------------------------------------------------------------------------
--------

> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtgwg
>

---

From: Robert Wilton <[email-masked]>
Date: Thu, 2 Aug 2018 12:06:26 +0100

> which we are not allowed to have:-)
OK, I can remove those.  But the NMDA one I copied verbatim from the 
abstract in RFC 8343 ;-)

Thanks,
Rob

---

From: tom petch <[email-masked]>
Date: Fri, 3 Aug 2018 09:04:13 +0000

----- Original Message -----
From: "Robert Wilton" <[email-masked]>
To: "tom petch" <[email-masked]>; "Mach Chen"
<[email-masked]>; <[email-masked]>;
<[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Thursday, August 02, 2018 12:06 PM
> OK, I can remove those. But the NMDA one I copied verbatim from the

Um, no.  Let me try again.  RFC8343 has

  The YANG data model in this document conforms to the Network
  Management Datastore Architecture (NMDA) defined in RFC 8342.

which is fine.

For this I-D, you propose

>>>     Management Datastore Architecture defined in [RFC8342].

and it is the [ ] that I see as a problem.  Abstracts, like YANG
Modules, must be plain text so that they can exist independently of an
RFC which means that XML/HTML type anchors are not allowed, and I read
the [ ] as reflecting an underlying anchor, which needs changing to
plain text.

Tom Petch

> >> 2. Section 3.1 and Section 3.3,  suggest to add relevant references
to
> > ARP caching and gratuitous ARP.
> >>
> >>
> >>    == Missing Reference: 'RFC6536' is mentioned on line 583, but
not
> > defined
> >>    == Unused Reference: 'I-D.ietf-netmod-rfc7223bis' is defined on
line
> > 606,

---

From: Robert Wilton <[email-masked]>
Date: Mon, 20 Aug 2018 17:20:09 +0100

Tom,

Thanks for the clarification.  I'll fix this up.

Thanks,
Rob